name: OLED0.96
description: OLED display module, 0.96 in., SSD1306, 128x96 pixels
keywords: display, OLED
datasheet: https://aliexpress.com/item/32896971385.html

pinout:
  GND: 1
  VDD: 2
  I2C:
    SCK: 3
    SDA: 4

properties:
  power: VDD
  ground: GND
  bidir: SDA
  in: SCK

schematic:
  symbol: ic
  left: I2C
  top: VDD
  bottom: GND

housing:
  pattern: custom
  # from the drawing
  #bodyWidth: 24.7
  # measured from the module I have
  bodyWidth: 27
  bodyLength: 27
  height: 11.30

  # pins
  holeDiameter: 1.0
  padDiameter: 1.8
  pitch: 2.54
  rowCount: 1
  columnCount: 4
  rowDX: 0
  rowDY: -12.0

  # mounting hole (from the drawing)
  holeDiameter1: 2.8
  padPosition1: -10.25, -11.5, 10.25, -11.5, -10.25, 11.5, 10.25, 11.5
  padDiameter1: 0

  # mounting hole (measured from the module I have)
  holeDiameter2: 2.8
  padPosition2: -11.15, -11.5, 11.15, -11.5, -11.15, 11.5, 11.15, 11.5
  padDiameter2: 0
